{% extends '/base.html.twig' %}

{% block icon %}fa fa-building{% endblock %}
{% block title %}Tenants{% endblock %}
{% block breadcrumb %}
    <li>Administration technique</li>
    <li class="active">Tenants</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        {% if can_access('admin_tenant_add') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('admin_tenant_add') }}"
                data-title="Créer un tenant"
                data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer un tenant
            </button>
        {% endif %}

        {% if can_access('admin_tenant_import1') %}
            <button
                type="button"
                class="btn btn-success"
                data-modal="ajax"
                data-url="{{ url('admin_tenant_import1') }}"
                data-title="Importer un tenant"
                data-table="#{{ table.id() }}"
                data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
            >
                <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                Importer un tenant
            </button>
        {% endif %}
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des tenants"
        }
    ) }}
{% endblock %}
